About Password Manager XP

Password Manager XP is a program that will help you systematize secret information stored on your PC. You will forget about all your headaches which were caused by loss of passwords, access codes and other sensitive information. You'll be able to store all your logins, passwords, PIN codes, credit card numbers and their access codes, and any other confidential information in one place.

Password Manager XP allows you to create several databases for storing your information. Each database will have its own access password and will be encrypted with various algorithms. Encryption scheme of your sensitive data can involve usage of several algorithms at a time, what significantly increases protection against crackers. Besides the program provides operating mode with autoclosure of databases, what decreases probability of stealing your data (for example, you have been called out by your chief or you simply forgot to quit the program). Thus while working in the given operating mode database will be automatically closed if it stays idle during specified period of time.

You can create passwords databases at shared resource and access them from multiple computers across the network. Install to removable device Wizard will help you to install the Password Manager XP to the removable devices such a USB flash drives. You can run Password Manager XP and work with passwords databases directly on removable device.

Quite frankly, Password Manager XP can considerably simplify your work with the Internet and usual Windows applications. It can autofill web pages, registration forms, logon windows, etc. This feature is compatible with Microsoft Internet Explorer, Mozilla, Firefox, Netscape and majority of usual Windows applications.

Password Manager XP has built-in password generator with many adjustable functions.

Password Manager XP possesses user friendly interface, which can be easily adjusted to your likes.

Copyright © 2002-2006 by CP Lab. All rights reserved.


Features

Main features

Features of Password Manager XP:

Exceptionally high security level

▪ support of the following encryption algorithms (can be used together): Blowfish, 3DES, Rijndael, Tea, Cast128, RC4, Serpent, Twofish;
▪ no unencrypted temporary files ever created;
▪ memory blocks are cleared when no longer needed;
▪ built-in password generator;

Multi-user environment support

▪ support for multiple databases;
▪ ability to access passwords databases from multiple computers across the network;
▪ adjustable user privileges per given database;
▪ permissions can be set for folders or even individual records;
▪ concurrent write access to a database for multiple users;
▪ NT authentication support;
▪ logging of all data changes;
▪ users' actions logging (Pro edition only);

Other features

▪ database and folder fields can be fully customized. It is possible to add/modify/remove fields for individual folder or entire database;
▪ autofill & form filler functionality. Currently it works in Microsoft Internet Explorer, Mozilla/Firefox/Netscape and most of ordinary Windows applications;
▪ Files can be attached to database records;
▪ support of system wide hotkeys;
▪ printing and ability to create custom print templates;
▪ ability to store passwords databases and the program itself on the removable devices such a USB flash drives;
▪ synchronization of databases.
▪ backup and restoring of passwords databases;
▪ export and import to/from CSV and TXT files;
▪ ability to check for the expired passwords on Windows start;
▪ program can be minimized to system tray;
▪ information sorting options;
▪ handy and easy adjustable interface;
▪ multilingual user interface (English, German, French, Italian, Spanish, Dutch, Swedish, Norwegian, Lithuanian, Chinese, Korean, Danish, Czech, Slovak, Slovenian, Hungarian, Greek, Croatian, Polish, Portuguese (Brazil), Hebrew, Turkish, Farsi, Romanian, Russian, Ukrainian);
▪ XP themes support.


License

SOFTWARE LICENSE AGREEMENT

You should carefully read the following terms and conditions before using the software.

License Agreement

This is the End User License Agreement (the "AGREEMENT") is a legal agreement between you ("LICENSEE"), the end-user, and CP Lab, the manufacturer and the copyright owner, for the use of the "Password Manager XP" software product ("SOFTWARE").

By using this Software or storing this program on a computer drive (or other media), you are agreeing to be bound by the terms of this Agreement. If you do not agree with the terms of this Agreement, please remove this Software from your system.

This Software is not Freeware. However, you may install an Evaluation Version of this Software to test and evaluate the application during the Trial Period. If the program meets your requirements, and you wish to continue using the Software, after the Trial Period has ended, you have to purchase the Registered Version. If you do not want to continue using Software after the Trial Period, please remove this Software from your system.

You accept responsibility for any network usage costs or any other costs, incurred by using this Software.

Trial Period

There is a free 30-day Trial Period for this Software.

Evaluation Version

The Evaluation Version allows you to test and evaluate characteristics, features, and quality of this Software. You can also test the compatibility of the Software with your hardware and your operating system. The Evaluation Version may have some restricted features or limitations. Using this Software after the Trial Period without registration violates copyright laws and may result in severe civil and criminal penalties.

Registered Version

The Registered Version has no restricted features or limitations.

Single User License

A single user license is a license to a single user. This single user can use the Software on any computer as long as the product is not in concurrent use on any other computer. i.e. you own two computers. You may have the Software installed, but not have it running on more than one computer at a time.

Multi User License

You may install the Software to any number of computers provided that this number does not exceed the quantity specified in the Registration Key purchased by you. If you own a 2 user license, you may not install the Software on 3 computers, even if you are only using it on 2 computers concurrently.

Single office site license

A single office site license authorizes you to install and use the product to any number of computers within a single site. You are entitled to upgrade to any future version of the software free of charge.

Worldwide site license

A worldwide site license authorizes you to install and use the product to any number of computers belonging to your organization - no matter where they are located. You are entitled to upgrade to any future version of the software free of charge.

Registration Key

The Registration Key may come as an unlock code, password, algorithm, or a service file. The Evaluation Version becomes Registered after the Registration Key has been applied. The Registration Key can be obtained directly from CP Lab or from its authorized dealer or representative only. You can only use the Registration Key that you own or have permissions to use, as an employee or member of a licensed group. You must not publicize or distribute the Registration Key (or a part of it) without the permission of CP Lab.

Upgrades

Unless otherwise indicated, a valid license to use the registered version includes the right to free updates to at least next major release of the software.

Distribution

The Evaluation Version of this Software may be distributed freely through on-line services, bulletin boards, or other forms of electronic media, as long as the files are distributed in their entirety. Computer Magazines/Archives are authorized to distribute the Evaluation Version on any Cover Disk or CD-ROM without an individual permission. Please inform us via e-mail (info@cp-lab.com) each time you distribute the evaluation copy.

RESTRICTIONS

YOU MAY NOT ALTER THIS SOFTWARE IN ANY WAY, INCLUDING CHANGING OR REMOVING ANY MESSAGES OR WINDOWS. YOU MAY NOT DECOMPILE, REVERSE ENGINEER, DISASSEMBLE OR OTHERWISE REDUCE THIS SOFTWARE TO A HUMAN PERCEIVABLE FORM. YOU MAY NOT MODIFY, RENT OR RESELL THIS SOFTWARE FOR PROFIT, OR CREATE ANY DERIVATIVE WORKS, BASED UPON THIS SOFTWARE. PUBLICATION OR DISTRIBUTING OF THE REGISTRATION KEY OR SOME OF ITS PART IS STRICTLY PROHIBITED!

DISCLAIMER

THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS WITHOUT WARRANTY OF ANY KIND, EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND SUITABILITY FOR A PARTICULAR PURPOSE. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE. CP Lab WILL NOT BE LIABLE FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, INDIRECT OR SIMILAR DAMAGES DUE TO LOSS OF DATA OR ANY OTHER REASON, EVEN IF CP Lab OR AN AGENT OF CP Lab HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL CP Lab BE LIABLE FOR COSTS OF ANY DAMAGES, EXCEEDING THE PRICE PAID FOR THE SOFTWARE LICENSE, REGARDLESS OF THE FORM OF THE CLAIM. YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENSE, UNDERSTOOD IT, AND AGREED TO BE BOUND BY ITS TERMS.


Acknowledgements

We wish to thank the following people for their help in developing Password Manager XP:

Vladimir Kladov for KOL library (http://bonanzas.rinet.ru).

David Barton for DCPCrypt library (http://www.cityinthesky.co.uk/cryptography.html).

Jung-Ho Ahn for Korean translation,

Dan Svarreby for Swedish translation,

Guy Luthringer and Gerald Pasquier for French translation,

Jakob Kruse and Henrik Pagel for Danish translation,

Igor Slizik for Slovak translation,

Linus, Claudio Venti and Michele Beriola (http://michele.beriola.it/indexPM.html) for Italian translation,

Zhuoyi Wang and Tracky for Chinese translation,

Brett de Jong for Dutch translation,

Alvaro Fernandez Diez for Spanish translation,

John Tombros for Greek translation,

Tobias Zschoche and Martin Thelen for German translation,

Ivica Bozanic for Croatian translation,

Jiri Kropac for Czech translation,

Daniel Sundsdal Vassdal for Norwegian translation,

Vygantas Imbrasas aka Hoppa for Lithuanian translation,

Noam Krendel for Hebrew translation,

SimoZone for Polish translation,

Rubio R. C. Terra for Portuguese (Brazil) translation,

Yasin Guven for Turkish translation,

Adrian Cisnadean for Romanian translation,

Farbod Farman for Farsi translation,

Peter Kovacs (http://www.kpg.hu) for Hungarian translation,

Miro Ciganovic for Slovenian translation.


Quick Start

This topic briefly overviews the main commands. It is made to help you get started with Password Manager XP quickly. This topic is recommended for reading to both newbies and advanced users.

Creating databases and folders with required fields structure

Do not use the sample database for storing your data. Once the program is installed, please create a new database and set a strong hacker-proof password for it.

NOTE: The password must be of at least 8 characters long and contain numbers, caps and lower case letters, and punctuation characters.

Create a folders structure for storing your data. Create a required field structure and list columns to be displayed for each folder. The field structure can be copied from the sample database. To have that done, simply copy the folder to your database and delete the demo records from it.

Importing data to the program

Once your database and folders structure are created, you can import your data, if you have them stored in a text file with delimiters or in the .csv format (Excel can save data to .csv files). First, select the folder to import the data to, and then select the Database > Import from file... item on the menu.

Configuring backup

By default, Password Manager XP always backs up databases automatically before saving them. Make sure you have properly configured the backup settings and noted where backup copies are stored to avoid the loss of data. The best place for keeping your backup folder is in a secure place on your computer’s hard drive. You can configure the backup’s general settings to have them applied to all databases. You can as well define backup settings for each database individually.

Configuring and using form auto-fill

The program allows entering data to forms automatically and filling forms on demand. Hotkeys, browser or system tray menu items can be used to call the auto-fill manually.

All forms that are “known” to the program will be filled out automatically. To have the "unknown" form filled automatically in the future, you will need to enter the required data manually for the first time and save the data to the program by selecting the Save form data to Password Manager XP item on the browser’s popup menu (or by selecting the same item in the program’s tray menu) or press the hotkey Ctrl+Alt+S.

By default, Password Manager XP will ask whether you want to save the form data you have entered to the database once you click on the Submit button. For more information on configuring the automatic form filling, please read the Integration :: Form filling topic.

If the database already has a record with the data that you want to enter in the current form, you can call the auto-fill by selecting the Fill form using Password Manager XP item on the browser’s popup menu (or by selecting the same item in the program’s tray menu) or press the hotkey Ctrl+Alt+L. From now on, the form will be filled out automatically, since the program will remember which record in the database it has to use for the current form.

For more information on filling out forms, please read the Form fill out and form data saving topic.

Installing the program on a USB flash disk and synchronizing databases

If you use several computers, you can choose to install the program on a USB flash disk (removable device) for more convenience. This way, you will always have access to your data and will be able to run the program on any computer, without having to install it first. There are several ways the program can be used:

1. Always run the program on the USB flash disk. The database is stored on the same disk.
2. Run the program installed on your computers (home computer, office computer, laptop) and then set the program to use the database stored on the USB flash disk.
3. Run the program installed on your computers and use the local database. To maintain the freshness of the data, synchronize data in the local databases with the one stored on the USB flash disk.


Working with Password Manager XP

Quick Start

Working with databases

Working with records

Form fill-out and form data saving

Printing

Customizing the fields' structure

Password generator

Install to removable device Wizard

Viewing Action log

Permissions

Configuration of Password Manager XP

Configuring for network use

Command line parameters

Setup program’s command line parameters

Group Policy Administrative Template

Password Manager XP Server


Working with databases

List of all your databases is displayed in the left part of the program's window. The icon which shows current state of the database is shown to the left of the database name. In case the icon is gray the database is closed, when it's yellow - opened.

Opening a database

To open database doubleclick on the needed database and enter the password in the displayed window. Also database can be opened through Database > Open menu or popup menu which can be invoked by clicking right mouse button.

NOTE: If you open a database that already opened at other computer in write mode then this database will be opened in the read only mode. To allow concurrent write access you need to enable Concurrent write access option in database properties.

Creating new database

To create new database select menu Database > Create new.... Then choose database name, password and encryption algorithm(s) in the popup window. You can specify folder where this database will be stored. Also you can specify database users. See Database settings topic for more information.

Changing settings of your database

To change settings of a database select menu Database > Properties.... Then change required settings in the popup window. You can change database's name, password, encryption algorithms. Also you can change folder where this database will be stored. See Database settings topic for more information.

Saving changes in a database

After making some changes in your database save them, otherwise the changes will be lost. To save changes press Save button on the toolbar or select menu Database > Save. While closing database or the program itself you'll be automatically prompted to save all recently made changes into your database(s).

NOTE: By default automatic backup copy is made before each save of a database. To setup autobackup parameters see Configuration of Password Manager XP - Backup and Database settings - Backup topics.

Deleting a database

If you want to delete some database you need to open database and select Edit > Delete menu item and confirm the operation in the popup window.

NOTE: To delete an inaccessible database you need to delete its file. To do that select the database and choose Tools > Go to databases folder menu item. Explorer window will be opened and database file will be selected. The file will be in following format: PMBaseX.dat (where X is some number). Just delete the selected file and the database will be removed from Password Manager XP.

Backup of a database

If you want to backup some database menu Database > Backup... and choose name and location of the backup file in the popup window.

Restoring database from backup

To restore database from backup select menu Database > Restore.... Then choose backup file to be restored in the popup window and press Open button. If database to be restored is already exists then you will be prompted to overwrite it or to restore as new database.


Database settings

To access database settings first open the database. Then choose Database > Properties... menu item.

Database settings are divided into the following pages:

General

Users

Encryption

Parameters

Backup


General

Database settings - General

▪ Database name - database name.
▪ Password - password for accessing the database.

NOTE: The password must be of at least 8 characters long and contain numbers, caps and lower case letters, and punctuation characters.

▪ Retype password - repeat the password to make sure it is entered correctly.
▪ Description - database description (optional).
▪ Database location - path / folder where the database file is stored (use the Manage locations... button to adjust the setting. See also: Locations).
▪ Database filename - full database file name, including path and file extension. Provided for the information purposes.


Users

Database settings - Users

You can create users for each database. Each user has its own name, password and rights. There is a predefined user Default in each database. When you open a database using master password you are logged on as user Default. The rights of this user are granted to you. To logon as a different user choose Database > Logon as user... menu item or press F8.

The following user rights are available:

Right | Description
Administrator | User has unrestricted rights.
Print and export | User can print and export data.
Insert data | User can create new records and new folders.
Modify data | User can edit records and edit folders.
Delete data | User can delete records and delete folders.
View passwords | User can view passwords stored in the database. If user is not granted such privilege, he is unable to view passwords stored in the database. He is allowed to fill passwords into forms only.
View passwords in lists | User can view the password in the records list window. If the user does not have this privilege, the only way he can view the password is by opening the record editor window and then selecting the View password checkbox in it. If logging user’s actions is enabled for the database, the viewing of the password by the user will be logged.
Modify files | User may add or delete files.
Extract files | User may extract files and save them to disk.
Form filling | User may use the form auto-fill feature.

To manage database users go to database properties using Database > Properties... menu item and choose the Users tab.

Require user logon after database was opened - If you select this option the user logon dialog will appear immediately after database password request. The database will not be opened unless you logon as user.

Automatically logon current Windows user - If you select this option, then, right after the database is opened, the program will logon the current Windows user, if possible.

To add new database user press Add... button.

To add new group press Add group... button.

To edit a user/group properties choose required record in the list and press Edit... button.

To delete a user/group choose required record in the list and press Delete button.

User properties

▪ User name - name of database user.
▪ Use NT authentication - Windows domain authentication will be used to check user password. Enter user name or security group of Windows NT/2000/2003 domain in the Domain\UserName form. If you select security group, all users that belong to it will have access to that database. If NT authentication is used, user password will be checked by the Windows NT/2000/2003 domain. To select user or group from list, press Browse... button. You can select multiple users or groups at once.

NOTES:
1. If domain is unavailable, NT authenticated user will not be able to logon.
2. It is possible to allow offline access for NT authenticated user in Install to removable device Wizard.

▪ Password - user password.
▪ Retype password - verification of user password.
▪ Description - optional description of the user.
▪ User is disabled - The user is disabled and user logon will fail.
▪ User rights - Rights granted to this user.
▪ Member of - open this page to include user to groups.

Group properties

▪ Group name - name of group.
▪ Description - optional description of the group.
▪ Members - open this page to add users to the group.


Encryption

Database settings - Encryption

Select which encryption algorithms will be used to protect the database at this property page. See Additional information topic to learn how the database is encrypted.

Blowfish - one of the most powerful block encryption algorithms, developed by cryptography guru Bruce Schneier. Block size is 64 bits, key size - up to 448 bits;

3DES - uses DES algorithm, by is applied three times with different keys, which increases dependability when compared to DES but does not change the situation radically (still vulnerable);

Rijndael - algorithm, developed by Joan Daemen and Vincent Rijmen. Meets AES standards (Advanced Encryption Standard). Uses blocks of different sizes (128, 192 and 256 bits) and equal-size keys;

Tea - strong algorithm (Tiny Encryption Algorithm). Its most prominent feature is a very small size. Tea is very simple, does not use table values and is optimized for 32-bit processor architecture, which makes it possible to use it with ASSEMBLER, even when the code size is extremely small. The drawbacks include slow work and the need for "data scrambling" since no tables are used;

CAST128 - a rather dependable algorithm with key length up to 128 bits. Developed by C.M. Adams and S.E. Tavares, who offered it at AES competition;

RC4 - a stream encryption algorithm used in many network security systems (for example SSL protocol used in Netscape and Windows NT password encryption). The major advantages of this code is very fast speed and adjustable key size. This algorithm was developed in RSA by Ronald Rivest. RC stands for "Ron's Code" or "Rivest Cipher". Used to be the intellectual property of RSA up to 1995;

Serpent - developed by Lars Ramkilde Knudsen, a famous cryptographer and cryptoanalyst, known for successful cryptoattacks of several popular codes, who worked and lectured in Norwegian, Swedish, and Belgian universities. Currently, Lars is a professor of math at Denmark's Technical University;

Twofish - algorithm that replaced Blowfish, authored by Bruce Schneier as its predecessor. Considered to be hack-proof (no known incidents of code-cracking).


Parameters

Database settings - Parameters

▪ Concurrent write access - when this option is selected, several users from different computers can open the same database and work with it simultaneously.
▪ Remember sort order - sorting order in folders is remembered when database is saved.
▪ Log data changes - log data changes to maintain the history of changes. This option is to be selected if you want to use the database synchronization function.
▪ Log user actions - log user’s actions with Password Manager XP Server to control users while they are working with database. See the Enabling logging of users’ database actions topic for more information.
▪ Log server - network name or IP address of the computer running Password Manager XP Server.
▪ Override global auto closure timeout - overriding global timeout setting for the automatic database closure on idleness (see the Security topic).
▪ Close when inactive - this option forces the automatic closure of databases after the database has been idle a certain period of time. A database will be closed if it has been inactive for this period of time.


Backup

Database settings - Backup

▪ Use global backup settings - when this option is selected, the program will use the global backup settings (see Backup topic).
▪ Specify individual backup settings - when this option is selected, the program will use custom backup settings provided for this particular database.
▪ Make backup copies before saving - when this option is selected, the program will backup database every time before it saves changes.
▪ Number of backup copies - sets the number of backup copies to maintain.
▪ Auto backup folder - specifies folder where backup copies will be stored.


Exporting a database to file

To export database records to a file select Database > Export to file... menu. Export options window will appear. PressBrowse... button and choose the target file and its type - CSV file or TXT file.

The following export options are available:

Option | Description
Column delimiter | One or more character(s) are used to separate columns data.
Selected records only | If checked, currently selected records will be exported only.
Child folders with the same structure only | Child folders which have the same fields structure as root folder will be exported only.
Folder names | If checked, the folder names will be exported.
Column titles | If checked, the column titles will be exported.
Scope | Scope of export (Entire database, Current folder only, Current folder and all child folders).
Export all columns | All data fields will be exported.
Export chosen columns | List of columns to be exported.


Importing data from file

Password Manager XP can import data from text files with delimiters and from .csv files (these ones can be created with Excel).

To import data from file, select the folder where the program is to place records to be imported. Then select Database > Import from file... on the menu. In the window that appears, select the file to import data from. That will be followed by the import settings window. In that window, specify the Columns delimiter being used in the file, the line, from where data is to be imported, and the fields to read data from. Use the data preview to adjust the import parameters. When you are finished with the settings, click OK.


Synchronizing database

Password Manager XP can synchronize databases. To use this function, make sure that both databases participating in synchronization have the Log data changes parameter in database properties enabled.

To synchronize current (local) database with another (remote) database, select Database > Synchronize... on the menu. In the window that appears, select the folder where the remote database is stored, then select the database and click OK.

Synchronize local changes to remote database - when this option is enabled, the program will perform the two-way synchronization of changes in both local and remote databases; i.e. when the synchronization is over, both databases will be fully identical.

To synchronize database on a local computer with one on a USB flash disk, use the Install to removable device Wizard or Quick install to removable device functions.

1. Make sure that data changes logging is enabled for a database. To do that open database properties and make sure that Log data changes option is turned on at Parameters page.
2. Install Password Manager XP to removable device using Install to removable device Wizard and make sure that the database will be installed at the device as well.
3. Now you can take you removable device with you and make changes into the database stored at the device. Also the local database can be changed.
4. It is time to synchronize both local and remote databases. Plug the device into PC. Use Install to removable device Wizard at PC again, choose to install the same database and make sure that Synchronize database before overwriting option is set in the Wizard.
5. Wizard will apply remote changes to the local database and then copy synchronized database to the removable device.
6. Now you have 2 identical databases at both locations (PC and removable device).


Additional information

All data inside the database is firstly compressed with zip compression method and then is sequentially encrypted by selected algorithms. At the same time information about record expiration date is not involved in the encryption process, so that the database can be easily checked for expired passwords without knowing the database's password.


Working with records

Creating new record

To create new record press Create new record button on the toolbar or select menu Edit > New record. The new record window will appear. Enter the data in the corresponding fields at your discretion. See the Customizing the fields' structure topic to find out how to setup fields for entering data of different types.

Each record has the expiration date field. When a record expires, Password Manager XP will notify you of that, and you will be able to perform the required actions (e.g., change password).

Password generator can be used for generating strong passwords. In order to do so press the button to the right of the password edit box.

Fields of type URL can be used to store links to the following objects:

▪ Web page address ( http://www.cp-lab.com ).
▪ E-Mail address ( mailto:support@cp-lab.com ).
▪ Local folder or file ( C:\Program Files or C:\My Documents\Price.txt ).
▪ Remote folder or file ( \\Sever\Share or \\Sever\Share\readme.txt ).
▪ Executable file with command line parameters ( notepad.exe c:\readme.txt ). It is needed to specify .exe extension for executable file.

You can set an image to appear on the records list for each record. At your discretion, you can assign images for records from the collection provided by the program or add your own images. See Adding custom icons topic for more information.

You can also attach files to records by clicking on the Files page. See Working with files topic for more information.

Finally press OK to save the record.

Editing record

To edit record double click on it or press Edit selected record button on the toolbar or select Edit > Edit record menu item. When the window popups change the required data in input fields. See Creating new record chapter for more information. Press OK to save changes.

Selecting several records

Sometimes it is needed to delete/move/copy several records at the same time. To select several records hold down Ctrl key and select records with mouse. To select a range of records click on the first record, hold down Shift key and click at the last record of the range. When the records are selected you can do the required operation.

Deleting record(s)

To delete selected record(s) press Delete selected item button on the toolbar or select menu Edit > Delete. Confirm the operation in the popup window.

Moving record(s)

To move selected record(s) drag and drop the given element(s) to the new place.
Also you can choose Edit > Cut menu item or press Ctrl+X key combination. Then open target folder and choose Edit > Paste menu item or press Ctrl+V key combination.

Copying record(s)

To copy selected record(s) drag and drop the given element(s) to the new place while holding Ctrl key.
Also you can choose Edit > Copy menu item or press Ctrl+C key combination. Then open target folder and choose Edit > Paste menu item or press Ctrl+V key combination.

Cloning record

To create a new record based on an existing one, select the original record and then select Edit > Clone record... on the menu. The new record window will appear; data from the selected record will be pasted to the new record form automatically.

Undo changes

To undo changes choose Edit > Undo menu item or press Ctrl+Z key combination.


Copying password to clipboard

If you want to copy password of the selected record to clipboard simply press Copy password to clipboard button on the toolbar or select the corresponding element from the popup menu. The password then can be pasted from the clipboard to any application, but only once. Contents of user name field of same record are copied in the clipboard also. Thus, the password is pasted at the first paste, and the user name - at subsequent paste. After that these data become unavailable to paste. Also the password will be unavailable to paste if not pasted within 1 minute. Once you need to paste it again you'll have to repeat the procedure (copy the password to clipboard). When program quits you won't be able to paste the password or user name any more.


Working with files

You can perform the following actions with files:

▪ Attach - add new file to current record;
▪ Extract - extract / save selected file from current record;
▪ Properties - view / edit selected file’s properties;
▪ Remove - delete selected file from current record.

Adding new file

To add a new file, select the record to add the file to and then open it for editing. In the window that appears, open the Files tab and then click on the Attach... button. Next, select the file to be attached and then click on the Open button.

Extracting file

To extract file, select the record to extract the file from and then open it for editing. In the window that appears, open the Files tab, then select the file to be extracted (or select several files by holding the Ctrl key down) and then click on the Extract... button. Next, select the folder where the file is to be saved and then click OK. Another way to extract files is right-clicking on the selected record and using the popup menu’s Extract file item.

Viewing / editing file’s properties

To view/edit file’s properties, select the required record and open it for editing. In the window that appears, open the Files tab, select the file you need and then click on the Properties... button. You can also edit the Description field. To save changes, click on the OK button.

Removing file

To remove file, select the required record and open it for editing. In the window that appears, open the Files tab, select the file you need (or select several files by holding the Ctrl key down) and then click on the Remove button. Then confirm the deletion by clicking on the Yes button in the confirmation window.


Adding custom icons

Password Manager XP allows adding custom images to records. Open the record for editing. In the window that appears, click on the image selection combo box and then click on the Customize... button. That will open the Custom images window.

In this window, you can add, remove custom images from files, and copy custom images from other Password Manager XP databases. The program supports two image formats: *.ico and *.bmp. All images will be resized to 16x16 pixels; therefore, it is better to have the original images prepared in the 16x16 pixels format.

Use the Copy from button to copy images from other open Password Manager XP’s database.


Setting up columns’ appearance

Each folder in the program can have its own list of columns and the order how they are to appear on the list. To customize that, select Tools > Setup columns... on the menu. In the window that appears, set the columns to be displayed and the order they are to follow by using the Up and Down buttons. Click on the Properties... button to change the selected column’s title and width.


Form fill out and form data saving

Password Manager XP can be used for automatic fill out of various forms. For example, for the automatic login and password input at various websites, filling out your personal data, when creating an account e.t.c. Besides the websites, the data may be entered into most of the regular Windows applications.

All forms the program “knows” about will be filled out automatically. To enable the auto-filling, make sure the browser you are using is supported by Password Manager XP, and the integration with that browser is enabled in the program’s settings on the Integration :: Browsers page. The auto-filling options can be set on the Integration :: Form filling page in the program’s settings.

Forms that are not “known” to the program can be filled manually, by pressing the hotkeys, browser’s popup menu or the menu on the program’s tray icon. After that, the program will “remember” how to fill that form and will fill it automatically in the future.

Working with forms

Password Manager XP offers two operations for working with the forms: Fill form and Save form data. These operations can be called in the following ways:

1. Using the menu, which appears at right-clicking on the Password Manager XP icon in system tray area of the task bar.
2. Using browser’s popup menu, which opens up by right-clicking on web pages’ data entry fields. Items are added to Password Manager XP’s pop-up menu if the integration with the browser is enabled in the program’s settings on the Integration :: Browsers page.
3. By default, Password Manager XP will ask whether you want to save data entered in the form to database when the submit button is clicked on. See Integration :: Form filling topic for more information.
4. Using the hotkeys. By default, for Fill form, press Ctrl+Alt+L key combination and for Save form data, press Ctrl+Alt+S. The hotkeys may be reassigned at Integration :: Hot keys page of the program settings. Moreover, there exists a parameter, which permits the hotkeys even if Password Manager XP is not currently running.

Saving form data into a database

First of all, create the folders with the fields' structure, sufficient for storing data for various forms in the database. Right after that you can create the data records and enter data manually into the database.

Database records can also be created and populated with the data of the current form, using Save form data function (it is called by using the Ctrl+Alt+S hotkeys or via program's tray icon menu or via browser popup menu).

If Password Manager XP "knows" about this form, the corresponding record in the database will be updated silently (database password can be prompted if the database is currently closed).

NOTE: To save form data to another record or to edit field bindings of a record linked to this form, press and hold down the Shift and select the Save form data item on your browser’s popup menu or in the program's tray icon menu.

If the current form is "unknown" to the program or Shift key was holded down, the form will be shaded and a Password Manager XP window will appear, where you will need to do the following:

1. Open the database, which the form data will be saved to.
2. If Password Manager XP "knows" about this form, you will be offered the applicable records for saving form data.
a) Select a record and press Done to save the form data into this record.
b) Select the [image] Review field bindings parameter and press Next to review whether the form fields correspond to the record fields.
3. If the program did not find any records, suitable for this form, you have to select a folder, which the new records will be created in, or select an existing record to overwrite its data with form's data.
4. Indicate the accordance of the form fields with the record fields in the database, using yellow comboboxes, located above the form fields.
5. Press the Done button.
6. A record adding/editing window will appear, where the entry fields will be populated with the form data. Press OK to save the data.

After that, the program will remember, which record in the database is to be used for this form. And if the form auto-filling is enabled in the program’s settings on the Integration :: Form filling page, the form will be filled out automatically the next time it is opened.

Calling form fill out manually

To fill out a current form, perform the Fill form operation (called by using the Ctrl+Alt+L hotkeys or via the tray icon menu or via browser popup menu).

If Password Manager XP "knows" about this form, it will be filled out immediately (database password can be prompted if the database is currently closed).

NOTE: To fill a form with data from another record or edit field bindings of a record linked to this form, press and hold down the Shift and select the Fill form on your browser’s popup menu or in the program's tray icon menu.

If the current form is "unknown" to the program or Shift key was holded down, the form will be shaded and Password Manager XP window will appear, where you will need to do the following:

1. Open the database, which the form data will be taken from.
2. If Password Manager XP "knows" about this form, you will be offered the applicable records for filling out the form.
a) Select a record and press Done to fill out the form.
b) Select the [image] Review field bindings parameter and press Next to review whether the form fields correspond to the record fields.
3. If the program did not find any records, suitable for this form, you have to select a proper record.
4. Indicate the accordance of the form fields with the record fields in the database, using yellow comboboxes, located above the form fields.
5. Press the Done button to fill out the form.


Printing

Password Manager XP allows you to print your data. You can either print data stored in your current folder or print all data stored in the database. There are options to print data as a table or as a card (form). In addition, you can create your own report templates with report name, columns to be printed, their titles, width, length, sequence, format and other parameters. Page orientation (portrait or landscape) can be specified as well.

Printing data from current folder

In order to print data from a folder, select it and press the Print button. To see how the data will look like when printed out, press the Print preview button.

Printing the entire database

To print the entire database, select the Database > Print... menu item, and choose the report template and printing parameters. Then, press Print or Preview to see how your report will look like.

Creating report templates

To create a new report template, select the Database > Print... menu item and press the Manage reports... button. The window that appears will let you create, edit or delete report templates. To create a new template, press New... button and then enter template parameters, like the template name, columns to be printed and their parameters, etc. The Layout tab lets you set page orientation (portrait or landscape) and report format (table or cards).


Customizing the fields' structure

You can customize the data fields' structure in the database for each folder or a group of folders, at your own discretion. Which means that you can create the folders for storing various data types, such as: credit cards, notes, passwords, contacts, software support e t.c. The fields' list is unlimited. The fields may be of various types and may be arranged in the editing window in the required way and on the specified tabs. At any time, you can modify the fields' naming and the arrangement order with no data loss.

To adjust the fields' structure, highlight the required folder and select the Edit > Customize fields... menu item. If the folder inherits its structure from a parent folder, a confirmation window appears. Press Yes to create an independent fields' structure for this folder and all of its subfolders; press No to edit the structure of the parent folder.

When you're done, a fields' structure editing window appears. This window has two tabs: Fields and Sections.

The Sections tab is designed for setting a list of sections, which are intended for fields grouping. Each section constitutes a tab in the records editing and creating window. The tabs are arranged in the same order, as the sections in the list.

At the Fields tab, you can set a full list of the data fields. Each field is assigned a section, determining the tab, which the field will be located at in the records editing and creating window.

If there is only one section or no sections, the records editing window will contain no tabs.

There also are a few mandatory fields, which cannot be removed, such as: Created, Modified, Modified by and Expires.

The following fields' structure editing actions are available:

▪ Add... - add a field;
▪ Edit... - edit the field's properties;
▪ Delete - delete a field;
▪ Move Up - move a field one position up;
▪ Move Down - move a field one position down.

Each field has the following parameters:

▪ Field name - the field's title, which is going to be displayed in the records editing window and in the table's title;
▪ Field type - the field's type: String, Date, Integer, Float or Checkbox;
▪ Field option - an option for the String-type field: Regular string, Password field, Multiline text, Clickable URL or Predefined values;
▪ Default value - значение по умолчанию для поля;
▪ Section - the section, which this field is going to be located at;
▪ Description - the description of this field, if required.


Password generator

Random password generator has the following options:

Option

Description

Lower case letters (a-z)

Latin lower case letters a-z will be used for password generation.

Upper case letters (A-Z)

Latin upper case letters A-Z will be used for password generation.

Digits (0-9)

Digits 0-9 will be used for password generation.

Special symbols ($,%,!,@, ...)

Special symbols ~ ! @ $ % ^ & * ( ) - + | = / : ; [ ] < > , . will be used for password generation.

Custom characters

User defined characters will be used for password generation. Enter needed characters in this input field.

Exclude characters

The specified characters will be excluded from password generation. Enter needed characters in this input field.

Password template

It is possible to define the template for password generation. If the template is specified, the password will be generated according to this template.

The following characters can be used in the template:

a | the random lower case letter will be placed in this position;
A | the random upper case letter will be placed in this position;
9 | the random digit will be placed in this position;
$ | the random special character will be placed in this position;
C | one of user defined characters, specified in Custom characters input field, will be placed in this position;
" | quoted text will be placed in the resulting password as is.

Length

The desired length of password.


Install to removable device Wizard

This wizard installs Password Manager XP and chosen databases to removable devices such a USB flash drives. You will be able to run Password Manager XP directly from the device and use databases stored on this device. You can plug the device to any Windows computer and use your data instantly.

To run the wizard choose Tools > Install to removable device Wizard... menu item. The wizard's welcome page will appear. Click Next to continue.

On the next page choose the device, in which to install Password Manager XP. You can also set the following parameters:

▪ Show all devices - when this option is selected, the program will display all devices available for the installation of the program, not only removable ones;
▪ Install in this folder - when this option is selected, the program will be installed in the specific folder on the device. Otherwise, the program will be installed in the root folder;
▪ Install print templates - when this option is selected, report templates will be installed on the device.
▪ Install support for browsers integration - when this option is selected, browsers integration will be installed on the device.

Click Next to continue.

On the next page you can choose the databases to be installed to the device. You can also set the following parameters:

▪ Synchronize database before overwriting - when this option is selected, changes in the database located on the device will be copied to the local database. Only when the copying is complete, changes will be saved to the database on the device. This option allows eliminating the risk of losing data when changes are made in both local and remote database located on the device. For more information on synchronization, please read the Synchronizing database topic.
▪ Set the read only attribute for databases at removable media - when this option is selected, databases installed on the device will have the ‘read-only’ attribute.
▪ Allow offline access for current user - this parameter can be selected if you are using the multi-user access to databases along with NT authentication. When this parameter is selected, the program will create a new user (with a tag) with permissions and password of a domain user logged on to database. This option allows using the database when the domain is unavailable. Simply use the user with the Offline tag.

Click Next to begin install.

After install process will finish, the device will contain Password Manager XP executable files and chosen databases. To launch the Password Manager XP from device, locate Password Manager XP executable file (Password Manager XP.exe) and run it.

Quick install to removable device:

To perform quick install you need to run Install to removable device Wizard first and configure needed options. When all necessary parameters are set, the quick (silent) installation of the software with the parameters provided during the first run will be performed the next time the Quick install to removable device... function is called.


Viewing Action log

Password Manager XP can log the following data changes:

▪ Insert
▪ Update
▪ Delete

and user actions:

▪ Open DB
▪ Logon
▪ View password
▪ Print
▪ Export
▪ Fill form

See Parameters page in database properties for information how to enable data changes and user action logging.

To view the actions log, use the menu items View > Action log... and View > Full action log... The Action log... item is designed for viewing actions log for a currently selected record or folder. The Full action log... item is designed for viewing the complete actions log for the entire database.

To view actions log, select View > Full action log... on the menu. In the window that appears, you can specify filter parameters for the action viewer:

▪ Date from - display actions beginning with this date;
▪ Date to - display actions ending by this date;
▪ User - display actions for this user;
▪ Action - display actions of this type;
▪ Computer - display actions for this computer.

Once the necessary filter parameters are set, click OK. The window that appears will display the actions log. The following commands are applicable to actions log:

▪ Print - print selected actions;
▪ Print preview - preview selected actions;
▪ Filter - edit filter parameters for the actions viewer;
▪ Delete changes - delete actions currently being displayed.


Permissions

For the purpose of distinction of the access privileges to an entire database or the specific objects of the database, it is necessary to create the database users. For user/group management, use the Database > Properties… menu item and the Users page. A user with the Administrator right can assign the access permissions to the database objects (such as the folders and records). To do this, check the object(s) and select the Edit > Permissions... menu item.

If in the permissions window of the object, the checkboxes are shaded, that means that the access permission to this object is inherited from a parent object. If you deselect the [image] Permissions are inherited from parent object checkbox, you can set the access permissions specifically for this object and all child objects. You can modify the access privileges or delete the users/groups from the permissions list.

NOTE: If you delete a user from the list, the object will become completely unavailable to him - the folders will be invisible and all of the records data will be displayed as the asterisks ("*" symbols).

The following permissions are available: Insert data, Modify data, Delete data, View passwords, View passwords in lists, Modify files, Extract files and Form Filling. See Users topic for more information about permissions.

To allow or deny a privilege for a user, select the according checkbox ( [image] Allow or [image] Deny). In the list, leave only the users that have the access rights for the object of interest. If you would like to reset the permissions for all of the sub-objects and enable the inherited permissions transfer, enable [image] Reset permissions of child objects parameter.


Configuration of Password Manager XP

To access Password Manager XP options select Tools > Options... from the main menu. Password Manager XP options include the following pages:

▪ General
▪ Appearance
▪ Security
▪ Integration :: Hot keys
▪ Integration :: Browsers
▪ Integration :: Form filling
▪ Locations
▪ Backup
▪ Restrictions


General

Configuration of Password Manager XP - General

▪ Notify about expired records on Windows start - when this option is selected user will be notified about all expired records on Windows start.
▪ Start application minimized - when this option is selected, the application will be started in minimized state.
▪ Expand folders tree when database was opened - when this option is selected all folders will be expanded after database was opened.
▪ Enable drag'n'drop for objects moving and copying - when this option is selected a records and folders can be moved and copied using drag'n'drop.
▪ Action on double click - задает какое действие выполнять при двойном щелчке левой кнопки мыши на записи (Edit record or Copy password to clipboard).
▪ Interface language - language of Password Manager XP user interface.
▪ Interface font - font of Password Manager XP user interface.
▪ Interface scaling - scaling factor of Password Manager XP user interface (100-800%).


Appearance

Configuration of Password Manager XP - Appearance

▪ Tray icon always visible - if selected, Password Manager XP icon will be shown in system tray always.
▪ Minimize application to the system tray - this option allows to minimize application to System Tray. Password Manager XP button will not be shown in the system taskbar when the program will be minimized.
▪ Close application to the system tray - when this option is selected, the application will be minimized to System Tray when you press a close button. To quit application you need to choose Database > Exit menu item.
▪ Startup screen graphics - when this option is not selected a simple startup screen will be shown. It is useful to simplify startup screen when working in terminal session.
▪ Alternate colors of rows - when this option is selected, even and odd rows in records list will be drawn using slightly different background colors.
▪ Remember last database user name - when this option is selected, the name of the last user accessed the database will be selected by default next time the database is opened. This option is available only when the database has users.


Security

Configuration of Password Manager XP - Security

▪ Warn if clipboard monitor was detected - if some application is monitoring clipboard contents, Password Manager XP will warn you.
▪ Password is visible by default in the edit window - when this option is selected the password fields will be visible when you open edit record dialog.
▪ Close databases when application is minimized - when this option is selected all databases will be closed when Password Manager XP will be minimized.
▪ Close database when inactive - this option forces automatic database closing on expiry of the given time interval. When the database stays inactive for this period of time it will be closed;
▪ Default expiration time for new records - specifies default expiration time for new records;
▪ Minimal length of the database password - specifies minimal allowed length of the database password.

WARNING: Do not use passwords less then 8 characters in length!


Integration :: Hot keys

Configuration of Password Manager XP - Integration :: Hot keys

This page lists currently assigned hot keys. To modify hot key double click on its entry.

Enable hot keys when Password Manager XP is not running - if enabled, hotkeys will be available even if Password Manager XP is not running.


Integration :: Browsers

Configuration of Password Manager XP - Integration :: Browsers

This page lists all internet browsers that was found in your system. Password Manager XP can add menu items to browser's popup menu to easily use form data filling and saving functions. Also browser integration allow automatic form filling function in a browser.

NOTE: Popup menu integration is not needed to use form data filling and saving in a browser. You can use hot keys or Password Manager XP tray icon menu to do these tasks.


Integration :: Form filling

Configuration of Password Manager XP - Integration :: Form filling

This page contains the list of settings that configure form fill parameters:

Automatically fill out forms | This parameter can accept the following values: Yes – forms will be filled with data automatically if a match with record in Password Manager XP’s database is found. No – forms will not be filled with data automatically. Ask – user will be asked whether a form is to be filled automatically.
Automatically save new forms data | This parameter can accept the following values: Yes – forms filled manually once will be saved automatically in Password Manager XP’s database. No – forms will not be saved in database automatically. Ask – user will be asked whether a form filled manually once is to be saved to database.
Automatically update forms data in database | This parameter can accept the following values: Yes – data changes in forms will be automatically updated in Password Manager XP’s database. No – data changes in forms will not be updated automatically. Ask – when data in the form is changed, user will be asked whether the changes are to be saved in the database.

Autofill works when Password Manager XP is not running - the Autofill functions will work even when the program is not running;

Keep the program running after first use - when you open a web page in your browser, Password Manager XP will have to check whether Autofill is to be performed for that page. If this option is selected, the program will be loaded during the first page check and will remain active. This will let you avoid the delays for loading/unloading the program on opening other web pages. Selecting this option will also let you enter the database access password just once, during the first filling of a page. Further on, the database will remain open, and the filling will be performed automatically, without prompting for the database access password.

NOTE: If you do not use the database for long time, it will be closed automatically when the inactivity timeout is reached.


Locations

Configuration of Password Manager XP - Locations

Folders to be searched for databases - list of folders that will be searched for databases. UNC paths (\\Server\Share) are supported here.

To add folder to the list press Add... button. To edit selected folder press Edit... button. To remove selected folder from the list press Remove button.

To access the same database(s) from computers across the network follow this steps:

1. Create a network share on some computer.
2. Add path to this shared resource to the list of folders in Password Manager XP.
3. Now you can use existing or create new database(s) at this shared resource.

Database file name template - template which is used to create or search database file names. You can change default template to make database file names different from standard.


Backup

Configuration of Password Manager XP - Backup

▪ Make backup copies of databases before saving - when this option is selected the backup copies of the databases will be created each time before saving changes.
▪ Number of backup copies - specifies number of backup copies per each database to maintain;
▪ Auto backup folder - specifies folder where backup copies will be stored.


Restrictions

Configuration of Password Manager XP - Restrictions

You can restrict some user interface elements of Password Manager XP. Restrictions will be applied to all computers except some administrator's computer(s), which are specified. If no administrator's computers specified, the restrictions are not used.

The following restrictions can be set:

Disable Locations and Backup options pages;

Disable restoring of databases from backup;

Disable Install to removable device wizard.

NOTE: You can use Password Manager XP Group Policy Administrative Template to set restrictions and options of Password Manager XP for all users/computers of your Windows domain.


Configuring for network use

Password Manager XP can be used to access the same databases from multiple computers across the network.

Follow this steps to configure application for network use:

1. | Create the network share on some computer. This shared resource will be used to store databases.
2. | Install the Password Manager XP to the needed computer.
3. | Run it and go to application options (Tools > Options... menu item).
4. | Open Locations tab.
5. | Press Add... button and type shared resource path (e. g. \\Server\Share). Press OK to save settings.

Now Password Manager XP will display all databases located at shared resource in the list of databases. Also you can create new databases at shared resource (when creating new database you can choose needed location from combobox).

To configure other computers repeat steps 2-5 for every computer.

Network use without need of installation

Password Manager XP can be run directly from network share without need of installation. You need to copy all installed files from application folder to network share. Now you can run Password Manager XP executable directly from network share at any computer in the network. Before using Password Manager XP at a computer you need to perform steps 3-4 in above table to configure locations of databases.


Command line parameters

The following command line parameters can be used with Password Manager XP:

Parameter | Description
/Add:"<fields data>" | Adds new record to passwords database. <fields data> describes data to be added in the following format: field_name1=field_value1,field_name2=field_value2,... field_name is a name of database's field. The following field names can be used: Title, User, Account, URL, Password, Description, Expires.
/DbName=<name> | Name of passwords database.
/DbPassword=<password> | Password for database, specified by DbName parameter. If password is not specified it will be prompted.
/DbFolder=<folder_name> | Name of folder inside database, specified by DbName parameter. If folder is not specified, the root folder will be used.
/Confirm | Allows to review or edit data before adding new record.
/Silent | Do not display any information messages.

Examples:

PwdManager.exe /add:"Title=My FTP password, User=jonh, Password=12345678, Expires=12/01/2010" /DbName="My Passwords"

This command will add new record to database My Passwords and will prompt you for its password if needed. An information message will be displayed at end.

PwdManager.exe /add:"Title=My FTP password, User=jonh, Password=12345678" /DbName="My Passwords" /DbPassword=mypassword /DBFolder=Web /silent

This command will add new record to database My Passwords to folder Web. The mypassword password will be used to open the database. No information messages will be displayed.


Setup program’s command line parameters

Setup program’s command line parameters can be used for the unattended installation. The command line parameters are case-sensitive.

/S - setup will not prompt user for anything. The full installation will be performed to the folder "Program Files\Password Manager XP".

/A - Password Manager XP will be installed for all users on this computer.


Group Policy Administrative Template

Using Group Policy Administrative Template, you can set different Password Manager XP settings for all users within a Windows domain.

Download Password Manager XP Administrative Template here:

http://www.cp-lab.com/Files/pwdmgr.adm

Then open Group Policy Editor for your domain and add the Password Manager XP Administrative Template file pwdmgr.adm to the User configuration section.

The description of each option can be found in Group Policy Editor on the Explain page.


Password Manager XP Server

Overview

Installing Password Manager XP Server

Enabling logging of users’ database actions


Overview

Password Manager XP Server is needed for registering users’ actions, such as:

▪ Open DB
▪ Logon
▪ View password
▪ Print
▪ Export
▪ Fill form

The server is to be installed on a computer within your network. Users’ actions database is stored on the server. When user attempts to perform an action, which is to be logged, Password Manager XP connects to the server and notifies it of the user’s action. If the server is unavailable, user will not be able to complete the selected action. Data between the client and the server is exchanged through a secure protocol SSL.


Installing Password Manager XP Server

Run the Password Manager XP Professional installation program and select the Password Manager XP Server component on the component selection page.

Next, enter your company name and, optionally, your 2-character country code (US, UK, FR, etc.) and your e-mail address. This data will be stored in the SSL certificate, which will be issued during the installation.

Next, enter the Password Manager XP Server access password. This password will be needed to enable users' actions logging for a databases.

The cert folder, located in the installation folder, will contain SSL certificates and keys. The file ca.cer stored in that folder is Password Manager XP Server’s public certificate. This file is public (can be shared) and will be necessary for enabling users’ database actions. Move or copy the file ca.cer to a place where you can find it quickly.

WARNING: All files in the installation folder, except for ca.cer, are closed for users. Configure your network and file system permissions to allow accessing Password Manager XP Server files to administrators only.

Password Manager XP connects to server over the TCP port 12461, using the secure SSL protocol. Configure a firewall on the computer running the server to allow incoming connections to TCP port 12461. On client computers, allow outgoing connections through TCP port 12461.


Enabling logging of users’ database actions

To enable logging users’ database actions, open the database’s properties on the Parameters page. Activate the Log user actions parameter and enter network name or IP address of the computer running Password Manager XP Server. Click OK. The program will ask for the CA certificate file. Select the file ca.cer described in the Installing Password Manager XP Server topic.

If logging users’ database actions for the database is enabled, and Password Manager XP Server is unavailable – an error message will be displayed. If you have the database administrator privileges, you can disable the actions logging by clicking on the Setup button in the error message window.

Do not install database with enabled actions logging on a removable disk – you will be unable to open the database outside of your network. This is the reason why Install to removable device Wizard does not install OpenSSL library files on a removable disk. Opening such database from a removable disk will cause an error message telling that OpenSSL libraries could not be found. When it is necessary, you can copy the files libeay32.dll и ssleay32.dll from the installation folder to the removable disk manually.


Support and Registration

Registration

Unregistered copy limitation

Technical support


Registration

Ordering

If you would like to order our products, you can do the registration online on the Internet by secure web site ShareIt! or Plimus directly from registration page. If you do not have access to the Internet, you can register via phone, fax or postal mail.

On purchase you receive:

▪ fully functional, unrestricted copy of Password Manager XP;
▪ free and priority technical support by e-mail;
▪ free updates to at least next major release of the software;
▪ e-mail notifications about version updates.

For questions regarding Password Manager XP purchase write to sales@cp-lab.com.


Unregistered copy limitations

Password Manager XP is distributed on a Try Before You Buy (shareware) basis. The evaluation (trial) version will only work for 30 days after the first install. You'll be able to create only 2 databases with maximum 30 password records in each, and trial reminder will be shown at the program startup. If you like this program and decide to keep it, you will need to purchase a registration key. All functions will be available and limitations will be removed as soon as you register your copy of Password Manager XP.


Technical support

You can send a message to our technical support team with your bug reports or ideas. All errors found will be corrected as soon as possible.

Technical support for Password Manager XP is provided via electronic mail solely.

Please provide us with the following information when contacting tech support:

▪ problem description along with the actions being taken before the problem occurred;
▪ Password Manager XP version;
▪ your operating system version (9x, ME, NT, 2000, XP, 2003).

You can also send a message to our development team with your ideas regarding Password Manager XP improvements (new features, functionality etc.)


FAQ

Frequently Asked Questions

Q1: I use computer at home and office and have a notebook as well. How many licenses do I need to purchase?

A1: If you are the only person who uses the program, one license is sufficient.

Q2: I created several users inside a database and assigned appropriate privileges to each. Why do I have to enter a password for accessing a database first and then log on as a user?

A2: Database master password, requested when the database is opened, is used to encrypt/decrypt data inside the database. That is, knowing the password allows anybody to easily decipher the data. That's why this password should not be too simple or easy to pick. This password is the only real protection for your data. The user password is used to delegate access privileges and is not a reliable protection on its own. If an experienced hacker knows the master password, he will be able to bypass any access privilege limits. VERY IMPORTANT! Only your most trusted employees should know the master password, regardless of what access privileges they've got.

Q3: How do I set up database access from several network computers?

A3: You need to go through the following steps:

1. Create a network resource that will be used for storing databases.

2. Install Password Manager XP on the network computers that need to have access to the database.

3. Launch the program and select the "Tools" -> "Options" menu item on each computer.

4. Go to the "Locations" tab and press "Add…" to add the network resource that is used to store shared databases.

Q4: Our department has a common password database, stored on the server. So if one employee accesses the database, all others can access it in the read-only mode. How can I fix this problem?

A4: For that you need to set the database to allow multiple individuals to be able to use the database simultaneously. To do that, access database properties and open "Parameters" tab. There, activate option called "Concurrent write access".

Q5: I don't want to install the program on each network computer. Is there a way to launch the program from a network resource so that all the users have the same program settings?

A5: Yes. You have to copy all files from the program folder to the network resource. Allow access to it for all necessary users. Now you can launch the program directly from there. To make the program settings on all computers the same, create a "blank" file called PwdManager.ini and copy it to the network resource.

Q6: What is being encrypted inside the database - passwords only or all data?

A6: All data inside the database is encrypted with the exception of the password expiration date. This lets the program notify users about expired passwords without having to enter a password to access the database first.

Q7: How is data being encrypted inside a database?

A7: First, the data is being compressed with the zip algorithm. Then the data is sequentially encrypted with every algorithm selected. A hash key is generated for each algorithm used, based on the database password.

Q8: How do I print out all passwords located inside a database?

A8: Simply select the "Database" -> "Print..." menu item and then select the "List of passwords" report in the window that appears.

Q9: The password/name/title field is being cut off during printing. How do I fix this problem?

A9: You need to create a new report template. Select all columns you'd like to be included in the report and set the width for each. To do this, select the "Database" -> "Print..." menu item and press the "Manage Reports..." button in the window that appears. Then create a new report template, enter page orientation settings and the list of all columns to be included. To change the title or the width of a column, press the " Properties..." button in the "Columns setup" window.

Q10: What browsers are supported by Password Manager XP?

A10: Internet Explorer 5.0+, Mozilla Firefox 1.0+, Mozilla 1.7+, Netscape Navigator 7.2+.


Professional Edition

Editions comparison

Comparison chart of Standard and Professional editions:

Feature | Standard | Professional
Concurrent read/write access to a database for multiple users across the network | + | +
Adjustable user privileges per given database | + | +
Permissions can be set for folders or even individual records | + | +
NT authentication support | + | +
Windows security groups support | + | +
User actions logging: Open DB, Logon, View password, Print, Export, Fill form using Password Manager XP Server | – | +
Built-in user groups | – | +